#!/bin/sh

LOGFILE=/var/log/externalisation.log
DIR_SCRIPTS="/root/scripts-admin"
ADRESSES_MAIL="supervision-externalisation@example.net"

$DIR_SCRIPTS/script_synchro-externalisation-from-serveur-sauvegarde.sh >$LOGFILE 2>&1

# Vérification de l'état de sortie
case "$?" in
	0)
		( cat - <<EOF ; $DIR_SCRIPTS/script_synchro-externalisation-stats-dates-disques.sh -u ) | mail -s "[externalisation] Ok" -a "Content-Type: text/plain; charset=UTF-8" $ADRESSES_MAIL
La synchro du disque d'externalisation s'est déroulée avec succès.

Le disque est à présent disponible.

 -

Âge des dernières synchro par disque :
EOF
		;;

	1)
		( cat - <<EOF ; $DIR_SCRIPTS/script_synchro-externalisation-stats-dates-disques.sh ; printf "\n -\n"; tail "$LOGFILE" ) | mail -s "[externalisation] Erreur" -a "Content-Type: text/plain; charset=UTF-8" $ADRESSES_MAIL
Erreur de synchronisation : le disque n'est pas disponible, intervention manuelle requise.

La synchronisation ne s'est pas déroulée normalement et le disque n'est pas disponible.
10 dernières lignes du log ci-dessous pour plus d'information.
Log dispo dans $LOGFILE

 - 

Âge des dernières synchro par disque :
EOF
		;;

	2)
		( cat - <<EOF ; $DIR_SCRIPTS/script_synchro-externalisation-stats-dates-disques.sh ; printf "\n -\n"; tail "$LOGFILE" ) | mail -s "[externalisation] Pas de disque" -a "Content-Type: text/plain; charset=UTF-8" $ADRESSES_MAIL
10 dernières lignes du log ci-dessous pour plus d'information.
Log dispo dans $LOGFILE

 - 

Âge des dernières synchro par disque :
EOF
		;;

	3)
		( cat - <<EOF ; $DIR_SCRIPTS/script_synchro-externalisation-stats-dates-disques.sh -u ; printf "\n -\n"; tail "$LOGFILE" ) | mail -s "[externalisation] Erreur post-synchro" -a "Content-Type: text/plain; charset=UTF-8" $ADRESSES_MAIL
Le coeur de la synchro a bien été effectuée, mais le disque n'est néanmoins pas disponible.
Intervention manuelle requise.

10 dernières lignes du log ci-dessous pour plus d'information.
Log dispo dans $LOGFILE

 - 

Âge des dernières synchro par disque :
EOF
		;;
esac


# Rotation des logs
savelog -c 7 "$LOGFILE" >/dev/null

